cURL
curl --request DELETE \
--url https://us.infisical.com/api/v1/dynamic-secrets/leases/{leaseId} \
--header 'Content-Type: application/json' \
--data '
{
"projectSlug": "<string>",
"environmentSlug": "<string>",
"path": "/",
"isForced": false
}
'import requests
url = "https://us.infisical.com/api/v1/dynamic-secrets/leases/{leaseId}"
payload = {
"projectSlug": "<string>",
"environmentSlug": "<string>",
"path": "/",
"isForced": False
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectSlug: '<string>',
environmentSlug: '<string>',
path: '/',
isForced: false
})
};
fetch('https://us.infisical.com/api/v1/dynamic-secrets/leases/{leaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lease": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"externalEntityId": "<string>",
"expireAt": "2023-11-07T05:31:56Z",
"dynamicSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"statusDetails": "<string>",
"config": null
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Dynamic Secrets
Delete Lease
DELETE
/
api
/
v1
/
dynamic-secrets
/
leases
/
{leaseId}
cURL
Path Parameters
The ID of the dynamic secret lease.
Minimum string length:
1Body
application/json
The slug of the project of the dynamic secret in.
Minimum string length:
1The slug of the environment of the dynamic secret in.
Minimum string length:
1The path of the dynamic secret in.
Minimum string length:
1A boolean flag to delete the the dynamic secret from Infisical without trying to remove it from external provider. Used when the dynamic secret got modified externally.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I